# Interface GenericMenuInterface

All Known Implementing Classes:
  `AwtJmolPopup, AwtModelKitPopup, AwtPopup, GenericPopup, JmolGenericPopup, JmolPopup, JSJmolPopup, JSModelKitPopup, JsPopup, JSVGenericPopup, ModelKitPopup`

public interface GenericMenuInterface

## Method Summary

Modifier and Type
Method
Description
`void`
`jpiDispose()`
`Object`
`jpiGetMenuAsObject()`
`String`
`jpiGetMenuAsString(String string)`
`void`
`jpiInitialize(PlatformViewer vwr, String menu)`
`void`
`jpiShow(int x, int y)`
`void`
`jpiUpdateComputedMenus()`

## Method Details

### jpiDispose

void jpiDispose()

### jpiGetMenuAsObject

Object jpiGetMenuAsObject()

### jpiGetMenuAsString

String jpiGetMenuAsString(String string)

### jpiInitialize

void jpiInitialize(PlatformViewer vwr, String menu)

### jpiShow

void jpiShow(int x, int y)

### jpiUpdateComputedMenus

void jpiUpdateComputedMenus()